{"openapi":"3.0.1","info":{"title":"AAAS API","version":"0.1.0"},"servers":[{"url":"/api/authentication"}],"paths":{"/api/authentication/password/{userPoolId}/{gpID}/validate":{"post":{"tags":["Authentication Services","unauthenticated"],"summary":"Validate Password","operationId":"validate_password_password__userPoolId___gpID__validate_post","parameters":[{"name":"userPoolId","in":"path","required":true,"schema":{"type":"string","title":"Userpoolid"}},{"name":"gpID","in":"path","required":true,"schema":{"type":"string","title":"Gpid"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidatePasswordRequest"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidatePasswordResponse"}}}},"400":{"description":"Bad request"},"401":{"description":"Invalid password"},"404":{"description":"Not found"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"500":{"description":"Internal Server Error"}},"x-amazon-apigateway-integration":{"uri":"${lambda_arn}","responses":{"default":{"statusCode":"200"}},"passthroughBehavior":"when_no_match","httpMethod":"POST","contentHandling":"CONVERT_TO_TEXT","type":"aws_proxy","timeoutInMillis":"${lambda_user_timeout}"}},"options":{"responses":{"200":{"$ref":"#/components/responses/cors"}},"x-amazon-apigateway-integration":{"responses":{"default":{"statusCode":"200","responseParameters":{"method.response.header.Access-Control-Max-Age":"'7200'","method.response.header.Access-Control-Allow-Methods":"'OPTIONS,POST'","method.response.header.Access-Control-Allow-Headers":"'Authorization,Content-Type,X-Amz-Security-Token,X-Api-Key,X-Amz-Date'","method.response.header.Access-Control-Allow-Origin":"'*'"}}},"passthroughBehavior":"when_no_match","timeoutInMillis":29000,"requestTemplates":{"application/json":"{ \"statusCode\": 200 }"},"type":"mock"},"parameters":[{"name":"userPoolId","in":"path","required":true,"description":"The Cognito User Pool ID for the Client","schema":{"type":"string"}},{"name":"gpID","in":"path","required":true,"description":"The gpID for the User","schema":{"type":"string"}}]}},"/api/authentication/password/{userPoolId}/{gpID}/reset":{"post":{"tags":["Authentication Services","unauthenticated"],"summary":"Reset Password","operationId":"reset_password_password__userPoolId___gpID__reset_post","parameters":[{"name":"userPoolId","in":"path","required":true,"schema":{"type":"string","title":"Userpoolid"}},{"name":"gpID","in":"path","required":true,"schema":{"type":"string","title":"Gpid"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResetPasswordRequest"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResetPasswordResponse"}}}},"400":{"description":"Bad request"},"404":{"description":"Not found"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"500":{"description":"Internal Server Error"}},"x-amazon-apigateway-integration":{"uri":"${lambda_arn}","responses":{"default":{"statusCode":"200"}},"passthroughBehavior":"when_no_match","httpMethod":"POST","contentHandling":"CONVERT_TO_TEXT","type":"aws_proxy","timeoutInMillis":"${lambda_user_timeout}"}},"options":{"responses":{"200":{"$ref":"#/components/responses/cors"}},"x-amazon-apigateway-integration":{"responses":{"default":{"statusCode":"200","responseParameters":{"method.response.header.Access-Control-Max-Age":"'7200'","method.response.header.Access-Control-Allow-Methods":"'OPTIONS,POST'","method.response.header.Access-Control-Allow-Headers":"'Authorization,Content-Type,X-Amz-Security-Token,X-Api-Key,X-Amz-Date'","method.response.header.Access-Control-Allow-Origin":"'*'"}}},"passthroughBehavior":"when_no_match","timeoutInMillis":29000,"requestTemplates":{"application/json":"{ \"statusCode\": 200 }"},"type":"mock"},"parameters":[{"name":"userPoolId","in":"path","required":true,"description":"The Cognito User Pool ID for the Client","schema":{"type":"string"}},{"name":"gpID","in":"path","required":true,"description":"The gpID for the User","schema":{"type":"string"}}]}},"/api/authentication/otc/{type}":{"post":{"tags":["Authentication Services"],"summary":"Send Otc","operationId":"send_otc_otc__type__post","parameters":[{"name":"type","in":"path","required":true,"schema":{"type":"string","title":"Type"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OTCRequest"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"boolean","title":"Response Send Otc Otc  Type  Post"}}}},"400":{"description":"Bad request"},"404":{"description":"Not found"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"500":{"description":"Internal Server Error"}},"x-amazon-apigateway-integration":{"uri":"${lambda_arn}","responses":{"default":{"statusCode":"200"}},"passthroughBehavior":"when_no_match","httpMethod":"POST","contentHandling":"CONVERT_TO_TEXT","type":"aws_proxy","timeoutInMillis":"${lambda_user_timeout}"},"security":[{"apiKeyAuth":[]}]},"options":{"responses":{"200":{"$ref":"#/components/responses/cors"}},"x-amazon-apigateway-integration":{"responses":{"default":{"statusCode":"200","responseParameters":{"method.response.header.Access-Control-Max-Age":"'7200'","method.response.header.Access-Control-Allow-Methods":"'OPTIONS,POST'","method.response.header.Access-Control-Allow-Headers":"'Authorization,Content-Type,X-Amz-Security-Token,X-Api-Key,X-Amz-Date'","method.response.header.Access-Control-Allow-Origin":"'*'"}}},"passthroughBehavior":"when_no_match","timeoutInMillis":29000,"requestTemplates":{"application/json":"{ \"statusCode\": 200 }"},"type":"mock"},"parameters":[{"name":"type","in":"path","required":true,"description":"The OTC type","schema":{"type":"string"}}]}},"/api/authentication/otc/{type}/{userPoolId}/{gpID}/request":{"post":{"tags":["Authentication Services","unauthenticated"],"summary":"Request Otc","operationId":"request_otc_otc__type___userPoolId___gpID__request_post","parameters":[{"name":"type","in":"path","required":true,"schema":{"type":"string","title":"Type"}},{"name":"userPoolId","in":"path","required":true,"schema":{"type":"string","title":"Userpoolid"}},{"name":"gpID","in":"path","required":true,"schema":{"type":"string","title":"Gpid"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OTCRequestNoCode"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"boolean","title":"Response Request Otc Otc  Type   Userpoolid   Gpid  Request Post"}}}},"400":{"description":"Bad request"},"404":{"description":"Not found"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"500":{"description":"Internal Server Error"}},"x-amazon-apigateway-integration":{"uri":"${lambda_arn}","responses":{"default":{"statusCode":"200"}},"passthroughBehavior":"when_no_match","httpMethod":"POST","contentHandling":"CONVERT_TO_TEXT","type":"aws_proxy","timeoutInMillis":"${lambda_user_timeout}"}},"options":{"responses":{"200":{"$ref":"#/components/responses/cors"}},"x-amazon-apigateway-integration":{"responses":{"default":{"statusCode":"200","responseParameters":{"method.response.header.Access-Control-Max-Age":"'7200'","method.response.header.Access-Control-Allow-Methods":"'OPTIONS,POST'","method.response.header.Access-Control-Allow-Headers":"'Authorization,Content-Type,X-Amz-Security-Token,X-Api-Key,X-Amz-Date'","method.response.header.Access-Control-Allow-Origin":"'*'"}}},"passthroughBehavior":"when_no_match","timeoutInMillis":29000,"requestTemplates":{"application/json":"{ \"statusCode\": 200 }"},"type":"mock"},"parameters":[{"name":"userPoolId","in":"path","required":true,"description":"The Cognito User Pool ID for the Client","schema":{"type":"string"}},{"name":"gpID","in":"path","required":true,"description":"The gpID for the User","schema":{"type":"string"}},{"name":"type","in":"path","required":true,"description":"The OTC type","schema":{"type":"string"}}]}},"/api/authentication/otc/verify/{userPoolId}/{gpID}":{"post":{"tags":["Authentication Services","unauthenticated"],"summary":"Verify Otc","operationId":"verify_otc_otc_verify__userPoolId___gpID__post","parameters":[{"name":"userPoolId","in":"path","required":true,"schema":{"type":"string","title":"Userpoolid"}},{"name":"gpID","in":"path","required":true,"schema":{"type":"string","title":"Gpid"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/VerifyOTCRequest"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/VerifyOTCResponse"}}}},"400":{"description":"Bad request"},"404":{"description":"Not found"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"500":{"description":"Internal Server Error"}},"x-amazon-apigateway-integration":{"uri":"${lambda_arn}","responses":{"default":{"statusCode":"200"}},"passthroughBehavior":"when_no_match","httpMethod":"POST","contentHandling":"CONVERT_TO_TEXT","type":"aws_proxy","timeoutInMillis":"${lambda_user_timeout}"}},"options":{"responses":{"200":{"$ref":"#/components/responses/cors"}},"x-amazon-apigateway-integration":{"responses":{"default":{"statusCode":"200","responseParameters":{"method.response.header.Access-Control-Max-Age":"'7200'","method.response.header.Access-Control-Allow-Methods":"'OPTIONS,POST'","method.response.header.Access-Control-Allow-Headers":"'Authorization,Content-Type,X-Amz-Security-Token,X-Api-Key,X-Amz-Date'","method.response.header.Access-Control-Allow-Origin":"'*'"}}},"passthroughBehavior":"when_no_match","timeoutInMillis":29000,"requestTemplates":{"application/json":"{ \"statusCode\": 200 }"},"type":"mock"},"parameters":[{"name":"userPoolId","in":"path","required":true,"description":"The Cognito User Pool ID for the Client","schema":{"type":"string"}},{"name":"gpID","in":"path","required":true,"description":"The gpID for the User","schema":{"type":"string"}}]}},"/api/authentication/auth/{userPoolId}/{cognitoUserId}":{"put":{"tags":["Authentication Services"],"summary":"Save Auth","description":"Auth record upsert","operationId":"save_auth_auth__userPoolId___cognitoUserId__put","parameters":[{"name":"userPoolId","in":"path","required":true,"schema":{"type":"string","title":"Userpoolid"}},{"name":"cognitoUserId","in":"path","required":true,"schema":{"type":"string","title":"Cognitouserid"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AuthSaveRequest"}}}},"responses":{"200":{"description":"Not used","content":{"application/json":{"schema":{}}}},"201":{"description":"A new auth record was created"},"204":{"description":"An existing auth record was updated"},"400":{"description":"Bad request"},"404":{"description":"Not found"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"500":{"description":"Internal Server Error"}},"x-amazon-apigateway-integration":{"uri":"${lambda_arn}","responses":{"default":{"statusCode":"200"}},"passthroughBehavior":"when_no_match","httpMethod":"POST","contentHandling":"CONVERT_TO_TEXT","type":"aws_proxy","timeoutInMillis":"${lambda_user_timeout}"},"security":[{"apiKeyAuth":[]}]},"get":{"tags":["Authentication Services"],"summary":"Get Auth","operationId":"get_auth_auth__userPoolId___cognitoUserId__get","parameters":[{"name":"userPoolId","in":"path","required":true,"schema":{"type":"string","title":"Userpoolid"}},{"name":"cognitoUserId","in":"path","required":true,"schema":{"type":"string","title":"Cognitouserid"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AuthRecordBase"}}}},"404":{"description":"Not found"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"500":{"description":"Internal Server Error"}},"x-amazon-apigateway-integration":{"uri":"${lambda_arn}","responses":{"default":{"statusCode":"200"}},"passthroughBehavior":"when_no_match","httpMethod":"POST","contentHandling":"CONVERT_TO_TEXT","type":"aws_proxy","timeoutInMillis":"${lambda_user_timeout}"},"security":[{"apiKeyAuth":[]}]},"options":{"responses":{"200":{"$ref":"#/components/responses/cors"}},"x-amazon-apigateway-integration":{"responses":{"default":{"statusCode":"200","responseParameters":{"method.response.header.Access-Control-Max-Age":"'7200'","method.response.header.Access-Control-Allow-Methods":"'OPTIONS,POST'","method.response.header.Access-Control-Allow-Headers":"'Authorization,Content-Type,X-Amz-Security-Token,X-Api-Key,X-Amz-Date'","method.response.header.Access-Control-Allow-Origin":"'*'"}}},"passthroughBehavior":"when_no_match","timeoutInMillis":29000,"requestTemplates":{"application/json":"{ \"statusCode\": 200 }"},"type":"mock"},"parameters":[{"name":"userPoolId","in":"path","required":true,"description":"The Cognito User Pool ID for the Client","schema":{"type":"string"}},{"name":"cognitoUserId","in":"path","required":true,"description":"The cognitoUserId for the User","schema":{"type":"string"}}]}},"/api/authentication/user/{userPoolId}/{gpID}/service-center-pin":{"post":{"tags":["Authentication Services"],"summary":"Set Service Center Pin","operationId":"set_service_center_pin_user__userPoolId___gpID__service_center_pin_post","parameters":[{"name":"userPoolId","in":"path","required":true,"schema":{"type":"string","title":"Userpoolid"}},{"name":"gpID","in":"path","required":true,"schema":{"type":"string","title":"Gpid"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SetServiceCenterPinRequest"}}}},"responses":{"200":{"description":"Sevice center pin set","content":{"application/json":{"schema":{}}}},"400":{"description":"Bad request"},"401":{"description":"Unauthorized"},"404":{"description":"Identity not found"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"500":{"description":"Internal Server Error"}},"x-amazon-apigateway-integration":{"uri":"${lambda_arn}","responses":{"default":{"statusCode":"200"}},"passthroughBehavior":"when_no_match","httpMethod":"POST","contentHandling":"CONVERT_TO_TEXT","type":"aws_proxy","timeoutInMillis":"${lambda_user_timeout}"},"security":[{"apiKeyAuth":[]}]},"put":{"tags":["Authentication Services","authenticated"],"summary":"Update Service Center Pin","operationId":"update_service_center_pin_user__userPoolId___gpID__service_center_pin_put","parameters":[{"name":"userPoolId","in":"path","required":true,"schema":{"type":"string","title":"Userpoolid"}},{"name":"gpID","in":"path","required":true,"schema":{"type":"string","title":"Gpid"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateServiceCenterPinRequest"}}}},"responses":{"200":{"description":"Service center pin updated","content":{"application/json":{"schema":{}}}},"400":{"description":"Bad request"},"401":{"description":"Unauthorized"},"404":{"description":"Identity not found"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"500":{"description":"Internal Server Error"}},"x-amazon-apigateway-integration":{"uri":"${lambda_arn}","responses":{"default":{"statusCode":"200"}},"passthroughBehavior":"when_no_match","httpMethod":"POST","contentHandling":"CONVERT_TO_TEXT","type":"aws_proxy","timeoutInMillis":"${lambda_user_timeout}"},"security":[{"bearerAuth":[]}]},"options":{"responses":{"200":{"$ref":"#/components/responses/cors"}},"x-amazon-apigateway-integration":{"responses":{"default":{"statusCode":"200","responseParameters":{"method.response.header.Access-Control-Max-Age":"'7200'","method.response.header.Access-Control-Allow-Methods":"'OPTIONS,POST'","method.response.header.Access-Control-Allow-Headers":"'Authorization,Content-Type,X-Amz-Security-Token,X-Api-Key,X-Amz-Date'","method.response.header.Access-Control-Allow-Origin":"'*'"}}},"passthroughBehavior":"when_no_match","timeoutInMillis":29000,"requestTemplates":{"application/json":"{ \"statusCode\": 200 }"},"type":"mock"},"parameters":[{"name":"userPoolId","in":"path","required":true,"description":"The Cognito User Pool ID for the Client","schema":{"type":"string"}},{"name":"gpID","in":"path","required":true,"description":"The gpID for the User","schema":{"type":"string"}}]}},"/api/authentication/user/{userPoolId}/{gpID}/validate-service-center-pin":{"post":{"tags":["Authentication Services","authenticated"],"summary":"Validate Service Center Pin","operationId":"validate_service_center_pin_user__userPoolId___gpID__validate_service_center_pin_post","parameters":[{"name":"userPoolId","in":"path","required":true,"schema":{"type":"string","title":"Userpoolid"}},{"name":"gpID","in":"path","required":true,"schema":{"type":"string","title":"Gpid"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidateServiceCenterPinRequest"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidateServiceCenterPinResponse"}}}},"400":{"description":"Bad request"},"401":{"description":"Unauthorized"},"404":{"description":"Not found"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"500":{"description":"Internal Server Error"}},"x-amazon-apigateway-integration":{"uri":"${lambda_arn}","responses":{"default":{"statusCode":"200"}},"passthroughBehavior":"when_no_match","httpMethod":"POST","contentHandling":"CONVERT_TO_TEXT","type":"aws_proxy","timeoutInMillis":"${lambda_user_timeout}"},"security":[{"bearerAuth":[]}]},"options":{"responses":{"200":{"$ref":"#/components/responses/cors"}},"x-amazon-apigateway-integration":{"responses":{"default":{"statusCode":"200","responseParameters":{"method.response.header.Access-Control-Max-Age":"'7200'","method.response.header.Access-Control-Allow-Methods":"'OPTIONS,POST'","method.response.header.Access-Control-Allow-Headers":"'Authorization,Content-Type,X-Amz-Security-Token,X-Api-Key,X-Amz-Date'","method.response.header.Access-Control-Allow-Origin":"'*'"}}},"passthroughBehavior":"when_no_match","timeoutInMillis":29000,"requestTemplates":{"application/json":"{ \"statusCode\": 200 }"},"type":"mock"},"parameters":[{"name":"userPoolId","in":"path","required":true,"description":"The Cognito User Pool ID for the Client","schema":{"type":"string"}},{"name":"gpID","in":"path","required":true,"description":"The gpID for the User","schema":{"type":"string"}}]}},"/api/authentication/device":{"get":{"tags":["Authentication Services","unauthenticated"],"summary":"Get Device Info","operationId":"get_device_info_device_get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeviceInfoResponse"}}}}},"x-amazon-apigateway-integration":{"uri":"${lambda_arn}","responses":{"default":{"statusCode":"200"}},"passthroughBehavior":"when_no_match","httpMethod":"POST","contentHandling":"CONVERT_TO_TEXT","type":"aws_proxy","timeoutInMillis":"${lambda_user_timeout}"}},"options":{"responses":{"200":{"$ref":"#/components/responses/cors"}},"x-amazon-apigateway-integration":{"responses":{"default":{"statusCode":"200","responseParameters":{"method.response.header.Access-Control-Max-Age":"'7200'","method.response.header.Access-Control-Allow-Methods":"'OPTIONS,POST'","method.response.header.Access-Control-Allow-Headers":"'Authorization,Content-Type,X-Amz-Security-Token,X-Api-Key,X-Amz-Date'","method.response.header.Access-Control-Allow-Origin":"'*'"}}},"passthroughBehavior":"when_no_match","timeoutInMillis":29000,"requestTemplates":{"application/json":"{ \"statusCode\": 200 }"},"type":"mock"},"parameters":[]}},"/api/authentication/device/{userPoolId}/{gpID}/register":{"get":{"tags":["Authentication Services","unauthenticated"],"summary":"Get Register Device","operationId":"get_register_device_device__userPoolId___gpID__register_get","parameters":[{"name":"userPoolId","in":"path","required":true,"schema":{"type":"string","title":"Userpoolid"}},{"name":"gpID","in":"path","required":true,"schema":{"type":"string","title":"Gpid"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RegisterDeviceResponse"}}}},"404":{"description":"Identity not found"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"500":{"description":"Internal Server Error"}},"x-amazon-apigateway-integration":{"uri":"${lambda_arn}","responses":{"default":{"statusCode":"200"}},"passthroughBehavior":"when_no_match","httpMethod":"POST","contentHandling":"CONVERT_TO_TEXT","type":"aws_proxy","timeoutInMillis":"${lambda_user_timeout}"}},"post":{"tags":["Authentication Services","unauthenticated"],"summary":"Register Device","operationId":"register_device_device__userPoolId___gpID__register_post","parameters":[{"name":"userPoolId","in":"path","required":true,"schema":{"type":"string","title":"Userpoolid"}},{"name":"gpID","in":"path","required":true,"schema":{"type":"string","title":"Gpid"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RegisterDeviceRequest"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RegisterDeviceResponse"}}}},"400":{"description":"Bad request"},"404":{"description":"Identity not found"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"500":{"description":"Internal Server Error"}},"x-amazon-apigateway-integration":{"uri":"${lambda_arn}","responses":{"default":{"statusCode":"200"}},"passthroughBehavior":"when_no_match","httpMethod":"POST","contentHandling":"CONVERT_TO_TEXT","type":"aws_proxy","timeoutInMillis":"${lambda_user_timeout}"}},"options":{"responses":{"200":{"$ref":"#/components/responses/cors"}},"x-amazon-apigateway-integration":{"responses":{"default":{"statusCode":"200","responseParameters":{"method.response.header.Access-Control-Max-Age":"'7200'","method.response.header.Access-Control-Allow-Methods":"'OPTIONS,POST'","method.response.header.Access-Control-Allow-Headers":"'Authorization,Content-Type,X-Amz-Security-Token,X-Api-Key,X-Amz-Date'","method.response.header.Access-Control-Allow-Origin":"'*'"}}},"passthroughBehavior":"when_no_match","timeoutInMillis":29000,"requestTemplates":{"application/json":"{ \"statusCode\": 200 }"},"type":"mock"},"parameters":[{"name":"userPoolId","in":"path","required":true,"description":"The Cognito User Pool ID for the Client","schema":{"type":"string"}},{"name":"gpID","in":"path","required":true,"description":"The gpID for the User","schema":{"type":"string"}}]}},"/api/authentication/user/{userPoolId}/{gpID}/vcc":{"put":{"tags":["Authentication Services"],"summary":"Update User","operationId":"update_user_user__userPoolId___gpID__vcc_put","parameters":[{"name":"userPoolId","in":"path","required":true,"schema":{"type":"string","title":"Userpoolid"}},{"name":"gpID","in":"path","required":true,"schema":{"type":"string","title":"Gpid"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateUserCredentialsRequest"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateUserCredentialsResponse"}}}},"400":{"description":"Bad request"},"401":{"description":"Unauthorized"},"404":{"description":"Not found"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"500":{"description":"Internal Server Error"}},"x-amazon-apigateway-integration":{"uri":"${lambda_arn}","responses":{"default":{"statusCode":"200"}},"passthroughBehavior":"when_no_match","httpMethod":"POST","contentHandling":"CONVERT_TO_TEXT","type":"aws_proxy","timeoutInMillis":"${lambda_user_timeout}"},"security":[{"apiKeyAuth":[]}]},"options":{"responses":{"200":{"$ref":"#/components/responses/cors"}},"x-amazon-apigateway-integration":{"responses":{"default":{"statusCode":"200","responseParameters":{"method.response.header.Access-Control-Max-Age":"'7200'","method.response.header.Access-Control-Allow-Methods":"'OPTIONS,POST'","method.response.header.Access-Control-Allow-Headers":"'Authorization,Content-Type,X-Amz-Security-Token,X-Api-Key,X-Amz-Date'","method.response.header.Access-Control-Allow-Origin":"'*'"}}},"passthroughBehavior":"when_no_match","timeoutInMillis":29000,"requestTemplates":{"application/json":"{ \"statusCode\": 200 }"},"type":"mock"},"parameters":[{"name":"userPoolId","in":"path","required":true,"description":"The Cognito User Pool ID for the Client","schema":{"type":"string"}},{"name":"gpID","in":"path","required":true,"description":"The gpID for the User","schema":{"type":"string"}}]}},"/api/authentication/user/{userPoolId}/{gpID}/delete":{"post":{"tags":["Authentication Services"],"summary":"Delete User","operationId":"delete_user_user__userPoolId___gpID__delete_post","parameters":[{"name":"userPoolId","in":"path","required":true,"schema":{"type":"string","title":"Userpoolid"}},{"name":"gpID","in":"path","required":true,"schema":{"type":"string","title":"Gpid"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeleteUserRequest"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeleteUserResponse"}}}},"400":{"description":"Bad request"},"401":{"description":"Unauthorized"},"404":{"description":"Not found"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"500":{"description":"Internal Server Error"}},"x-amazon-apigateway-integration":{"uri":"${lambda_arn}","responses":{"default":{"statusCode":"200"}},"passthroughBehavior":"when_no_match","httpMethod":"POST","contentHandling":"CONVERT_TO_TEXT","type":"aws_proxy","timeoutInMillis":"${lambda_user_timeout}"},"security":[{"apiKeyAuth":[]}]},"options":{"responses":{"200":{"$ref":"#/components/responses/cors"}},"x-amazon-apigateway-integration":{"responses":{"default":{"statusCode":"200","responseParameters":{"method.response.header.Access-Control-Max-Age":"'7200'","method.response.header.Access-Control-Allow-Methods":"'OPTIONS,POST'","method.response.header.Access-Control-Allow-Headers":"'Authorization,Content-Type,X-Amz-Security-Token,X-Api-Key,X-Amz-Date'","method.response.header.Access-Control-Allow-Origin":"'*'"}}},"passthroughBehavior":"when_no_match","timeoutInMillis":29000,"requestTemplates":{"application/json":"{ \"statusCode\": 200 }"},"type":"mock"},"parameters":[{"name":"userPoolId","in":"path","required":true,"description":"The Cognito User Pool ID for the Client","schema":{"type":"string"}},{"name":"gpID","in":"path","required":true,"description":"The gpID for the User","schema":{"type":"string"}}]}},"/api/authentication/user/{userPoolId}/{gpID}/attributes":{"put":{"tags":["Authentication Services"],"summary":"Update User Attributes","operationId":"update_user_attributes_user__userPoolId___gpID__attributes_put","parameters":[{"name":"userPoolId","in":"path","required":true,"schema":{"type":"string","title":"Userpoolid"}},{"name":"gpID","in":"path","required":true,"schema":{"type":"string","title":"Gpid"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateUserAttributesRequest"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateUserAttributesResponse"}}}},"400":{"description":"Bad request"},"401":{"description":"Unauthorized"},"404":{"description":"Identity not found"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"500":{"description":"Internal Server Error"}},"x-amazon-apigateway-integration":{"uri":"${lambda_arn}","responses":{"default":{"statusCode":"200"}},"passthroughBehavior":"when_no_match","httpMethod":"POST","contentHandling":"CONVERT_TO_TEXT","type":"aws_proxy","timeoutInMillis":"${lambda_user_timeout}"},"security":[{"apiKeyAuth":[]}]},"options":{"responses":{"200":{"$ref":"#/components/responses/cors"}},"x-amazon-apigateway-integration":{"responses":{"default":{"statusCode":"200","responseParameters":{"method.response.header.Access-Control-Max-Age":"'7200'","method.response.header.Access-Control-Allow-Methods":"'OPTIONS,POST'","method.response.header.Access-Control-Allow-Headers":"'Authorization,Content-Type,X-Amz-Security-Token,X-Api-Key,X-Amz-Date'","method.response.header.Access-Control-Allow-Origin":"'*'"}}},"passthroughBehavior":"when_no_match","timeoutInMillis":29000,"requestTemplates":{"application/json":"{ \"statusCode\": 200 }"},"type":"mock"},"parameters":[{"name":"userPoolId","in":"path","required":true,"description":"The Cognito User Pool ID for the Client","schema":{"type":"string"}},{"name":"gpID","in":"path","required":true,"description":"The gpID for the User","schema":{"type":"string"}}]}},"/api/authentication/validate-token":{"get":{"tags":["Authentication Services","authenticated"],"summary":"Validate Token","operationId":"validate_token_validate_token_get","responses":{"200":{"description":"Token valid","content":{"application/json":{"schema":{}}}},"401":{"description":"Unauthorized"},"500":{"description":"Internal Server Error"}},"x-amazon-apigateway-integration":{"uri":"${lambda_arn}","responses":{"default":{"statusCode":"200"}},"passthroughBehavior":"when_no_match","httpMethod":"POST","contentHandling":"CONVERT_TO_TEXT","type":"aws_proxy","timeoutInMillis":"${lambda_user_timeout}"},"security":[{"bearerAuth":[]}]},"options":{"responses":{"200":{"$ref":"#/components/responses/cors"}},"x-amazon-apigateway-integration":{"responses":{"default":{"statusCode":"200","responseParameters":{"method.response.header.Access-Control-Max-Age":"'7200'","method.response.header.Access-Control-Allow-Methods":"'OPTIONS,POST'","method.response.header.Access-Control-Allow-Headers":"'Authorization,Content-Type,X-Amz-Security-Token,X-Api-Key,X-Amz-Date'","method.response.header.Access-Control-Allow-Origin":"'*'"}}},"passthroughBehavior":"when_no_match","timeoutInMillis":29000,"requestTemplates":{"application/json":"{ \"statusCode\": 200 }"},"type":"mock"},"parameters":[]}},"/api/authentication/user/{userPoolId}/{gpID}/auth-results":{"post":{"tags":["Authentication Services"],"summary":"Record User Auth Results","description":"Record authentication results. Locks out the user if the maximum failed attempts is exceeded.","operationId":"record_user_auth_results_user__userPoolId___gpID__auth_results_post","parameters":[{"name":"userPoolId","in":"path","required":true,"schema":{"type":"string","title":"Userpoolid"}},{"name":"gpID","in":"path","required":true,"schema":{"type":"string","title":"Gpid"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RecordAuthResultsRequest"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RecordAuthResultsResponse"}}}},"400":{"description":"Bad request"},"401":{"description":"Unauthorized"},"404":{"description":"Not found"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"500":{"description":"Internal Server Error"}},"x-amazon-apigateway-integration":{"uri":"${lambda_arn}","responses":{"default":{"statusCode":"200"}},"passthroughBehavior":"when_no_match","httpMethod":"POST","contentHandling":"CONVERT_TO_TEXT","type":"aws_proxy","timeoutInMillis":"${lambda_user_timeout}"},"security":[{"apiKeyAuth":[]}]},"put":{"tags":["Authentication Services"],"summary":"Update User Auth Results","operationId":"update_user_auth_results_user__userPoolId___gpID__auth_results_put","parameters":[{"name":"userPoolId","in":"path","required":true,"schema":{"type":"string","title":"Userpoolid"}},{"name":"gpID","in":"path","required":true,"schema":{"type":"string","title":"Gpid"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AuthResultsUpdate"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"400":{"description":"Bad request"},"401":{"description":"Unauthorized"},"404":{"description":"Not found"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"500":{"description":"Internal Server Error"}},"x-amazon-apigateway-integration":{"uri":"${lambda_arn}","responses":{"default":{"statusCode":"200"}},"passthroughBehavior":"when_no_match","httpMethod":"POST","contentHandling":"CONVERT_TO_TEXT","type":"aws_proxy","timeoutInMillis":"${lambda_user_timeout}"},"security":[{"apiKeyAuth":[]}]},"get":{"tags":["Authentication Services"],"summary":"Get User Auth Results","operationId":"get_user_auth_results_user__userPoolId___gpID__auth_results_get","parameters":[{"name":"userPoolId","in":"path","required":true,"schema":{"type":"string","title":"Userpoolid"}},{"name":"gpID","in":"path","required":true,"schema":{"type":"string","title":"Gpid"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AuthResults"}}}},"404":{"description":"Not found"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"500":{"description":"Internal Server Error"}},"x-amazon-apigateway-integration":{"uri":"${lambda_arn}","responses":{"default":{"statusCode":"200"}},"passthroughBehavior":"when_no_match","httpMethod":"POST","contentHandling":"CONVERT_TO_TEXT","type":"aws_proxy","timeoutInMillis":"${lambda_user_timeout}"},"security":[{"apiKeyAuth":[]}]},"options":{"responses":{"200":{"$ref":"#/components/responses/cors"}},"x-amazon-apigateway-integration":{"responses":{"default":{"statusCode":"200","responseParameters":{"method.response.header.Access-Control-Max-Age":"'7200'","method.response.header.Access-Control-Allow-Methods":"'OPTIONS,POST'","method.response.header.Access-Control-Allow-Headers":"'Authorization,Content-Type,X-Amz-Security-Token,X-Api-Key,X-Amz-Date'","method.response.header.Access-Control-Allow-Origin":"'*'"}}},"passthroughBehavior":"when_no_match","timeoutInMillis":29000,"requestTemplates":{"application/json":"{ \"statusCode\": 200 }"},"type":"mock"},"parameters":[{"name":"userPoolId","in":"path","required":true,"description":"The Cognito User Pool ID for the Client","schema":{"type":"string"}},{"name":"gpID","in":"path","required":true,"description":"The gpID for the User","schema":{"type":"string"}}]}},"/api/authentication/user/{userPoolId}/{gpID}/unlock":{"get":{"tags":["Authentication Services","authenticated"],"summary":"Unlock User","description":"Manually unlock a user; resets failed attempts.","operationId":"unlock_user_user__userPoolId___gpID__unlock_get","parameters":[{"name":"userPoolId","in":"path","required":true,"schema":{"type":"string","title":"Userpoolid"}},{"name":"gpID","in":"path","required":true,"schema":{"type":"string","title":"Gpid"}}],"responses":{"200":{"description":"User unlocked","content":{"application/json":{"schema":{}}}},"401":{"description":"Unauthorized"},"404":{"description":"Not found"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"500":{"description":"Internal Server Error"}},"x-amazon-apigateway-integration":{"uri":"${lambda_arn}","responses":{"default":{"statusCode":"200"}},"passthroughBehavior":"when_no_match","httpMethod":"POST","contentHandling":"CONVERT_TO_TEXT","type":"aws_proxy","timeoutInMillis":"${lambda_user_timeout}"},"security":[{"bearerAuth":[]}]},"options":{"responses":{"200":{"$ref":"#/components/responses/cors"}},"x-amazon-apigateway-integration":{"responses":{"default":{"statusCode":"200","responseParameters":{"method.response.header.Access-Control-Max-Age":"'7200'","method.response.header.Access-Control-Allow-Methods":"'OPTIONS,POST'","method.response.header.Access-Control-Allow-Headers":"'Authorization,Content-Type,X-Amz-Security-Token,X-Api-Key,X-Amz-Date'","method.response.header.Access-Control-Allow-Origin":"'*'"}}},"passthroughBehavior":"when_no_match","timeoutInMillis":29000,"requestTemplates":{"application/json":"{ \"statusCode\": 200 }"},"type":"mock"},"parameters":[{"name":"userPoolId","in":"path","required":true,"description":"The Cognito User Pool ID for the Client","schema":{"type":"string"}},{"name":"gpID","in":"path","required":true,"description":"The gpID for the User","schema":{"type":"string"}}]}},"/api/authentication/user/{userPoolId}/{gpID}/lock":{"get":{"tags":["Authentication Services","authenticated"],"summary":"Lock User","description":"Manually lock a user.","operationId":"lock_user_user__userPoolId___gpID__lock_get","parameters":[{"name":"userPoolId","in":"path","required":true,"schema":{"type":"string","title":"Userpoolid"}},{"name":"gpID","in":"path","required":true,"schema":{"type":"string","title":"Gpid"}}],"responses":{"200":{"description":"User locked","content":{"application/json":{"schema":{}}}},"401":{"description":"Unauthorized"},"404":{"description":"Not found"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"500":{"description":"Internal Server Error"}},"x-amazon-apigateway-integration":{"uri":"${lambda_arn}","responses":{"default":{"statusCode":"200"}},"passthroughBehavior":"when_no_match","httpMethod":"POST","contentHandling":"CONVERT_TO_TEXT","type":"aws_proxy","timeoutInMillis":"${lambda_user_timeout}"},"security":[{"bearerAuth":[]}]},"options":{"responses":{"200":{"$ref":"#/components/responses/cors"}},"x-amazon-apigateway-integration":{"responses":{"default":{"statusCode":"200","responseParameters":{"method.response.header.Access-Control-Max-Age":"'7200'","method.response.header.Access-Control-Allow-Methods":"'OPTIONS,POST'","method.response.header.Access-Control-Allow-Headers":"'Authorization,Content-Type,X-Amz-Security-Token,X-Api-Key,X-Amz-Date'","method.response.header.Access-Control-Allow-Origin":"'*'"}}},"passthroughBehavior":"when_no_match","timeoutInMillis":29000,"requestTemplates":{"application/json":"{ \"statusCode\": 200 }"},"type":"mock"},"parameters":[{"name":"userPoolId","in":"path","required":true,"description":"The Cognito User Pool ID for the Client","schema":{"type":"string"}},{"name":"gpID","in":"path","required":true,"description":"The gpID for the User","schema":{"type":"string"}}]}},"/api/authentication/user/{userPoolId}/{gpID}/client-metadata":{"get":{"tags":["Authentication Services"],"summary":"Get Client Metadata","operationId":"get_client_metadata_user__userPoolId___gpID__client_metadata_get","parameters":[{"name":"userPoolId","in":"path","required":true,"schema":{"type":"string","title":"Userpoolid"}},{"name":"gpID","in":"path","required":true,"schema":{"type":"string","title":"Gpid"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ClientMetadataResponse"}}}},"404":{"description":"Auth client metadata not found."},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"500":{"description":"Internal Server Error"}},"x-amazon-apigateway-integration":{"uri":"${lambda_arn}","responses":{"default":{"statusCode":"200"}},"passthroughBehavior":"when_no_match","httpMethod":"POST","contentHandling":"CONVERT_TO_TEXT","type":"aws_proxy","timeoutInMillis":"${lambda_user_timeout}"},"security":[{"apiKeyAuth":[]}]},"post":{"tags":["Authentication Services"],"summary":"Save Client Metadata","operationId":"save_client_metadata_user__userPoolId___gpID__client_metadata_post","parameters":[{"name":"userPoolId","in":"path","required":true,"schema":{"type":"string","title":"Userpoolid"}},{"name":"gpID","in":"path","required":true,"schema":{"type":"string","title":"Gpid"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ClientMetadataRequest"}}}},"responses":{"200":{"description":"Client metadata saved","content":{"application/json":{"schema":{}}}},"400":{"description":"Bad request"},"401":{"description":"Unauthorized"},"404":{"description":"Not found"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"500":{"description":"Internal Server Error"}},"x-amazon-apigateway-integration":{"uri":"${lambda_arn}","responses":{"default":{"statusCode":"200"}},"passthroughBehavior":"when_no_match","httpMethod":"POST","contentHandling":"CONVERT_TO_TEXT","type":"aws_proxy","timeoutInMillis":"${lambda_user_timeout}"},"security":[{"apiKeyAuth":[]}]},"options":{"responses":{"200":{"$ref":"#/components/responses/cors"}},"x-amazon-apigateway-integration":{"responses":{"default":{"statusCode":"200","responseParameters":{"method.response.header.Access-Control-Max-Age":"'7200'","method.response.header.Access-Control-Allow-Methods":"'OPTIONS,POST'","method.response.header.Access-Control-Allow-Headers":"'Authorization,Content-Type,X-Amz-Security-Token,X-Api-Key,X-Amz-Date'","method.response.header.Access-Control-Allow-Origin":"'*'"}}},"passthroughBehavior":"when_no_match","timeoutInMillis":29000,"requestTemplates":{"application/json":"{ \"statusCode\": 200 }"},"type":"mock"},"parameters":[{"name":"userPoolId","in":"path","required":true,"description":"The Cognito User Pool ID for the Client","schema":{"type":"string"}},{"name":"gpID","in":"path","required":true,"description":"The gpID for the User","schema":{"type":"string"}}]}},"/api/authentication/auth/{userPoolId}/{cognitoUserId}/session":{"post":{"tags":["Authentication Services"],"summary":"Create Auth Session","operationId":"create_auth_session_auth__userPoolId___cognitoUserId__session_post","parameters":[{"name":"userPoolId","in":"path","required":true,"schema":{"type":"string","title":"Userpoolid"}},{"name":"cognitoUserId","in":"path","required":true,"schema":{"type":"string","title":"Cognitouserid"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AuthSessionResponse"}}}},"400":{"description":"Bad request"},"401":{"description":"Unauthorized"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"500":{"description":"Internal Server Error"}},"x-amazon-apigateway-integration":{"uri":"${lambda_arn}","responses":{"default":{"statusCode":"200"}},"passthroughBehavior":"when_no_match","httpMethod":"POST","contentHandling":"CONVERT_TO_TEXT","type":"aws_proxy","timeoutInMillis":"${lambda_user_timeout}"},"security":[{"apiKeyAuth":[]}]},"get":{"tags":["Authentication Services"],"summary":"Get Auth Session","operationId":"get_auth_session_auth__userPoolId___cognitoUserId__session_get","parameters":[{"name":"userPoolId","in":"path","required":true,"schema":{"type":"string","title":"Userpoolid"}},{"name":"cognitoUserId","in":"path","required":true,"schema":{"type":"string","title":"Cognitouserid"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AuthSessionResponse"}}}},"404":{"description":"Auth session not found"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"500":{"description":"Internal Server Error"}},"x-amazon-apigateway-integration":{"uri":"${lambda_arn}","responses":{"default":{"statusCode":"200"}},"passthroughBehavior":"when_no_match","httpMethod":"POST","contentHandling":"CONVERT_TO_TEXT","type":"aws_proxy","timeoutInMillis":"${lambda_user_timeout}"},"security":[{"apiKeyAuth":[]}]},"options":{"responses":{"200":{"$ref":"#/components/responses/cors"}},"x-amazon-apigateway-integration":{"responses":{"default":{"statusCode":"200","responseParameters":{"method.response.header.Access-Control-Max-Age":"'7200'","method.response.header.Access-Control-Allow-Methods":"'OPTIONS,POST'","method.response.header.Access-Control-Allow-Headers":"'Authorization,Content-Type,X-Amz-Security-Token,X-Api-Key,X-Amz-Date'","method.response.header.Access-Control-Allow-Origin":"'*'"}}},"passthroughBehavior":"when_no_match","timeoutInMillis":29000,"requestTemplates":{"application/json":"{ \"statusCode\": 200 }"},"type":"mock"},"parameters":[{"name":"userPoolId","in":"path","required":true,"description":"The Cognito User Pool ID for the Client","schema":{"type":"string"}},{"name":"cognitoUserId","in":"path","required":true,"description":"The cognitoUserId for the User","schema":{"type":"string"}}]}},"/api/authentication/user/{userPoolId}/{gpID}/biometrics-key":{"post":{"tags":["Authentication Services"],"summary":"Register Biometrics Key","operationId":"register_biometrics_key_user__userPoolId___gpID__biometrics_key_post","parameters":[{"name":"userPoolId","in":"path","required":true,"schema":{"type":"string","title":"Userpoolid"}},{"name":"gpID","in":"path","required":true,"schema":{"type":"string","title":"Gpid"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RegisterBiometricsKeyRequest"}}}},"responses":{"200":{"description":"Biometrics key registered","content":{"application/json":{"schema":{}}}},"404":{"description":"Identity not found"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"500":{"description":"Internal Server Error"}},"x-amazon-apigateway-integration":{"uri":"${lambda_arn}","responses":{"default":{"statusCode":"200"}},"passthroughBehavior":"when_no_match","httpMethod":"POST","contentHandling":"CONVERT_TO_TEXT","type":"aws_proxy","timeoutInMillis":"${lambda_user_timeout}"},"security":[{"apiKeyAuth":[]}]},"put":{"tags":["Authentication Services"],"summary":"Update Biometrics Key","operationId":"update_biometrics_key_user__userPoolId___gpID__biometrics_key_put","parameters":[{"name":"userPoolId","in":"path","required":true,"schema":{"type":"string","title":"Userpoolid"}},{"name":"gpID","in":"path","required":true,"schema":{"type":"string","title":"Gpid"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateBiometricsKeyRequest"}}}},"responses":{"200":{"description":"Biometrics key updated","content":{"application/json":{"schema":{}}}},"404":{"description":"Identity not found"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"500":{"description":"Internal Server Error"}},"x-amazon-apigateway-integration":{"uri":"${lambda_arn}","responses":{"default":{"statusCode":"200"}},"passthroughBehavior":"when_no_match","httpMethod":"POST","contentHandling":"CONVERT_TO_TEXT","type":"aws_proxy","timeoutInMillis":"${lambda_user_timeout}"},"security":[{"apiKeyAuth":[]}]},"options":{"responses":{"200":{"$ref":"#/components/responses/cors"}},"x-amazon-apigateway-integration":{"responses":{"default":{"statusCode":"200","responseParameters":{"method.response.header.Access-Control-Max-Age":"'7200'","method.response.header.Access-Control-Allow-Methods":"'OPTIONS,POST'","method.response.header.Access-Control-Allow-Headers":"'Authorization,Content-Type,X-Amz-Security-Token,X-Api-Key,X-Amz-Date'","method.response.header.Access-Control-Allow-Origin":"'*'"}}},"passthroughBehavior":"when_no_match","timeoutInMillis":29000,"requestTemplates":{"application/json":"{ \"statusCode\": 200 }"},"type":"mock"},"parameters":[{"name":"userPoolId","in":"path","required":true,"description":"The Cognito User Pool ID for the Client","schema":{"type":"string"}},{"name":"gpID","in":"path","required":true,"description":"The gpID for the User","schema":{"type":"string"}}]}},"/api/authentication/biometrics/{userPoolId}/{gpID}/validate":{"post":{"tags":["Authentication Services"],"summary":"Validate Encrypted Biometrics","operationId":"validate_encrypted_biometrics_biometrics__userPoolId___gpID__validate_post","parameters":[{"name":"userPoolId","in":"path","required":true,"schema":{"type":"string","title":"Userpoolid"}},{"name":"gpID","in":"path","required":true,"schema":{"type":"string","title":"Gpid"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidateBiometricsRequest"}}}},"responses":{"200":{"description":"Biometrics key Validated","content":{"application/json":{"schema":{}}}},"401":{"description":"Unauthorized"},"404":{"description":"Biometrics Key not found"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"500":{"description":"Internal Server Error"}},"x-amazon-apigateway-integration":{"uri":"${lambda_arn}","responses":{"default":{"statusCode":"200"}},"passthroughBehavior":"when_no_match","httpMethod":"POST","contentHandling":"CONVERT_TO_TEXT","type":"aws_proxy","timeoutInMillis":"${lambda_user_timeout}"},"security":[{"apiKeyAuth":[]}]},"options":{"responses":{"200":{"$ref":"#/components/responses/cors"}},"x-amazon-apigateway-integration":{"responses":{"default":{"statusCode":"200","responseParameters":{"method.response.header.Access-Control-Max-Age":"'7200'","method.response.header.Access-Control-Allow-Methods":"'OPTIONS,POST'","method.response.header.Access-Control-Allow-Headers":"'Authorization,Content-Type,X-Amz-Security-Token,X-Api-Key,X-Amz-Date'","method.response.header.Access-Control-Allow-Origin":"'*'"}}},"passthroughBehavior":"when_no_match","timeoutInMillis":29000,"requestTemplates":{"application/json":"{ \"statusCode\": 200 }"},"type":"mock"},"parameters":[{"name":"userPoolId","in":"path","required":true,"description":"The Cognito User Pool ID for the Client","schema":{"type":"string"}},{"name":"gpID","in":"path","required":true,"description":"The gpID for the User","schema":{"type":"string"}}]}},"/api/authentication/user/{userPoolId}/{gpID}/record-password-attempt":{"put":{"tags":["Authentication Services"],"summary":"Record Password Attempt","operationId":"record_password_attempt_user__userPoolId___gpID__record_password_attempt_put","parameters":[{"name":"userPoolId","in":"path","required":true,"schema":{"type":"string","title":"Userpoolid"}},{"name":"gpID","in":"path","required":true,"schema":{"type":"string","title":"Gpid"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RecordPasswordAttemptRequest"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RecordAuthResultsResponse"}}}},"400":{"description":"Bad request"},"401":{"description":"Unauthorized"},"404":{"description":"Not found"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"500":{"description":"Internal Server Error"}},"x-amazon-apigateway-integration":{"uri":"${lambda_arn}","responses":{"default":{"statusCode":"200"}},"passthroughBehavior":"when_no_match","httpMethod":"POST","contentHandling":"CONVERT_TO_TEXT","type":"aws_proxy","timeoutInMillis":"${lambda_user_timeout}"},"security":[{"apiKeyAuth":[]}]},"options":{"responses":{"200":{"$ref":"#/components/responses/cors"}},"x-amazon-apigateway-integration":{"responses":{"default":{"statusCode":"200","responseParameters":{"method.response.header.Access-Control-Max-Age":"'7200'","method.response.header.Access-Control-Allow-Methods":"'OPTIONS,POST'","method.response.header.Access-Control-Allow-Headers":"'Authorization,Content-Type,X-Amz-Security-Token,X-Api-Key,X-Amz-Date'","method.response.header.Access-Control-Allow-Origin":"'*'"}}},"passthroughBehavior":"when_no_match","timeoutInMillis":29000,"requestTemplates":{"application/json":"{ \"statusCode\": 200 }"},"type":"mock"},"parameters":[{"name":"userPoolId","in":"path","required":true,"description":"The Cognito User Pool ID for the Client","schema":{"type":"string"}},{"name":"gpID","in":"path","required":true,"description":"The gpID for the User","schema":{"type":"string"}}]}},"/api/authentication/rsa/{userPoolId}/{gpID}/create-user":{"get":{"tags":["RSA Services"],"summary":"Create Rsa User","operationId":"create_rsa_user_rsa__userPoolId___gpID__create_user_get","parameters":[{"name":"gpID","in":"path","required":true,"schema":{"type":"string","title":"Gpid"}},{"name":"userPoolId","in":"path","required":true,"schema":{"type":"string","title":"Userpoolid"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"boolean","title":"Response Create Rsa User Rsa  Userpoolid   Gpid  Create User Get"}}}},"404":{"description":"Identity not found"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"500":{"description":"Internal Server Error"}},"x-amazon-apigateway-integration":{"uri":"${lambda_arn}","responses":{"default":{"statusCode":"200"}},"passthroughBehavior":"when_no_match","httpMethod":"POST","contentHandling":"CONVERT_TO_TEXT","type":"aws_proxy","timeoutInMillis":"${lambda_user_timeout}"},"security":[{"apiKeyAuth":[]}]},"options":{"responses":{"200":{"$ref":"#/components/responses/cors"}},"x-amazon-apigateway-integration":{"responses":{"default":{"statusCode":"200","responseParameters":{"method.response.header.Access-Control-Max-Age":"'7200'","method.response.header.Access-Control-Allow-Methods":"'OPTIONS,POST'","method.response.header.Access-Control-Allow-Headers":"'Authorization,Content-Type,X-Amz-Security-Token,X-Api-Key,X-Amz-Date'","method.response.header.Access-Control-Allow-Origin":"'*'"}}},"passthroughBehavior":"when_no_match","timeoutInMillis":29000,"requestTemplates":{"application/json":"{ \"statusCode\": 200 }"},"type":"mock"},"parameters":[{"name":"userPoolId","in":"path","required":true,"description":"The Cognito User Pool ID for the Client","schema":{"type":"string"}},{"name":"gpID","in":"path","required":true,"description":"The gpID for the User","schema":{"type":"string"}}]}},"/api/authentication/rsa/{userPoolId}/{gpID}/default-questions":{"get":{"tags":["RSA Services"],"summary":"Default Rsa User Questions","operationId":"default_rsa_user_questions_rsa__userPoolId___gpID__default_questions_get","parameters":[{"name":"gpID","in":"path","required":true,"schema":{"type":"string","title":"Gpid"}},{"name":"userPoolId","in":"path","required":true,"schema":{"type":"string","title":"Userpoolid"}},{"name":"locale","in":"query","required":false,"schema":{"type":"string","default":"en-US","title":"Locale"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/RSAQuestion"},"title":"Response Default Rsa User Questions Rsa  Userpoolid   Gpid  Default Questions Get"}}}},"404":{"description":"Identity not found"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"500":{"description":"Internal Server Error"}},"x-amazon-apigateway-integration":{"uri":"${lambda_arn}","responses":{"default":{"statusCode":"200"}},"passthroughBehavior":"when_no_match","httpMethod":"POST","contentHandling":"CONVERT_TO_TEXT","type":"aws_proxy","timeoutInMillis":"${lambda_user_timeout}"},"security":[{"apiKeyAuth":[]}]},"options":{"responses":{"200":{"$ref":"#/components/responses/cors"}},"x-amazon-apigateway-integration":{"responses":{"default":{"statusCode":"200","responseParameters":{"method.response.header.Access-Control-Max-Age":"'7200'","method.response.header.Access-Control-Allow-Methods":"'OPTIONS,POST'","method.response.header.Access-Control-Allow-Headers":"'Authorization,Content-Type,X-Amz-Security-Token,X-Api-Key,X-Amz-Date'","method.response.header.Access-Control-Allow-Origin":"'*'"}}},"passthroughBehavior":"when_no_match","timeoutInMillis":29000,"requestTemplates":{"application/json":"{ \"statusCode\": 200 }"},"type":"mock"},"parameters":[{"name":"userPoolId","in":"path","required":true,"description":"The Cognito User Pool ID for the Client","schema":{"type":"string"}},{"name":"gpID","in":"path","required":true,"description":"The gpID for the User","schema":{"type":"string"}}]}},"/api/authentication/rsa/{userPoolId}/{gpID}/default-questions/authenticated":{"get":{"tags":["RSA Services","authenticated"],"summary":"Default Rsa User Questions Authenticated","operationId":"default_rsa_user_questions_authenticated_rsa__userPoolId___gpID__default_questions_authenticated_get","parameters":[{"name":"gpID","in":"path","required":true,"schema":{"type":"string","title":"Gpid"}},{"name":"userPoolId","in":"path","required":true,"schema":{"type":"string","title":"Userpoolid"}},{"name":"locale","in":"query","required":false,"schema":{"type":"string","default":"en-US","title":"Locale"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/RSAQuestion"},"title":"Response Default Rsa User Questions Authenticated Rsa  Userpoolid   Gpid  Default Questions Authenticated Get"}}}},"404":{"description":"Identity not found"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"500":{"description":"Internal Server Error"}},"x-amazon-apigateway-integration":{"uri":"${lambda_arn}","responses":{"default":{"statusCode":"200"}},"passthroughBehavior":"when_no_match","httpMethod":"POST","contentHandling":"CONVERT_TO_TEXT","type":"aws_proxy","timeoutInMillis":"${lambda_user_timeout}"},"security":[{"bearerAuth":[]}]},"options":{"responses":{"200":{"$ref":"#/components/responses/cors"}},"x-amazon-apigateway-integration":{"responses":{"default":{"statusCode":"200","responseParameters":{"method.response.header.Access-Control-Max-Age":"'7200'","method.response.header.Access-Control-Allow-Methods":"'OPTIONS,POST'","method.response.header.Access-Control-Allow-Headers":"'Authorization,Content-Type,X-Amz-Security-Token,X-Api-Key,X-Amz-Date'","method.response.header.Access-Control-Allow-Origin":"'*'"}}},"passthroughBehavior":"when_no_match","timeoutInMillis":29000,"requestTemplates":{"application/json":"{ \"statusCode\": 200 }"},"type":"mock"},"parameters":[{"name":"userPoolId","in":"path","required":true,"description":"The Cognito User Pool ID for the Client","schema":{"type":"string"}},{"name":"gpID","in":"path","required":true,"description":"The gpID for the User","schema":{"type":"string"}}]}},"/api/authentication/rsa/{userPoolId}/{gpID}/get-user-questions":{"get":{"tags":["RSA Services","unauthenticated"],"summary":"Get User Questions","operationId":"get_user_questions_rsa__userPoolId___gpID__get_user_questions_get","parameters":[{"name":"gpID","in":"path","required":true,"schema":{"type":"string","title":"Gpid"}},{"name":"userPoolId","in":"path","required":true,"schema":{"type":"string","title":"Userpoolid"}},{"name":"locale","in":"query","required":false,"schema":{"type":"string","default":"en-US","title":"Locale"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RSAGetUserSecurityQuestionsResponse"}}}},"404":{"description":"Identity not found"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"500":{"description":"Internal Server Error"}},"x-amazon-apigateway-integration":{"uri":"${lambda_arn}","responses":{"default":{"statusCode":"200"}},"passthroughBehavior":"when_no_match","httpMethod":"POST","contentHandling":"CONVERT_TO_TEXT","type":"aws_proxy","timeoutInMillis":"${lambda_user_timeout}"}},"options":{"responses":{"200":{"$ref":"#/components/responses/cors"}},"x-amazon-apigateway-integration":{"responses":{"default":{"statusCode":"200","responseParameters":{"method.response.header.Access-Control-Max-Age":"'7200'","method.response.header.Access-Control-Allow-Methods":"'OPTIONS,POST'","method.response.header.Access-Control-Allow-Headers":"'Authorization,Content-Type,X-Amz-Security-Token,X-Api-Key,X-Amz-Date'","method.response.header.Access-Control-Allow-Origin":"'*'"}}},"passthroughBehavior":"when_no_match","timeoutInMillis":29000,"requestTemplates":{"application/json":"{ \"statusCode\": 200 }"},"type":"mock"},"parameters":[{"name":"userPoolId","in":"path","required":true,"description":"The Cognito User Pool ID for the Client","schema":{"type":"string"}},{"name":"gpID","in":"path","required":true,"description":"The gpID for the User","schema":{"type":"string"}}]}},"/api/authentication/rsa/{userPoolId}/{gpID}/set-user-questions":{"post":{"tags":["RSA Services"],"summary":"Set User Questions","operationId":"set_user_questions_rsa__userPoolId___gpID__set_user_questions_post","parameters":[{"name":"gpID","in":"path","required":true,"schema":{"type":"string","title":"Gpid"}},{"name":"userPoolId","in":"path","required":true,"schema":{"type":"string","title":"Userpoolid"}},{"name":"locale","in":"query","required":false,"schema":{"type":"string","default":"en-US","title":"Locale"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RSASetUserSecurityQuestionsRequest"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"boolean","title":"Response Set User Questions Rsa  Userpoolid   Gpid  Set User Questions Post"}}}},"400":{"description":"Bad Request"},"404":{"description":"Identity not found"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"500":{"description":"Internal Server Error"}},"x-amazon-apigateway-integration":{"uri":"${lambda_arn}","responses":{"default":{"statusCode":"200"}},"passthroughBehavior":"when_no_match","httpMethod":"POST","contentHandling":"CONVERT_TO_TEXT","type":"aws_proxy","timeoutInMillis":"${lambda_user_timeout}"},"security":[{"apiKeyAuth":[]}]},"options":{"responses":{"200":{"$ref":"#/components/responses/cors"}},"x-amazon-apigateway-integration":{"responses":{"default":{"statusCode":"200","responseParameters":{"method.response.header.Access-Control-Max-Age":"'7200'","method.response.header.Access-Control-Allow-Methods":"'OPTIONS,POST'","method.response.header.Access-Control-Allow-Headers":"'Authorization,Content-Type,X-Amz-Security-Token,X-Api-Key,X-Amz-Date'","method.response.header.Access-Control-Allow-Origin":"'*'"}}},"passthroughBehavior":"when_no_match","timeoutInMillis":29000,"requestTemplates":{"application/json":"{ \"statusCode\": 200 }"},"type":"mock"},"parameters":[{"name":"userPoolId","in":"path","required":true,"description":"The Cognito User Pool ID for the Client","schema":{"type":"string"}},{"name":"gpID","in":"path","required":true,"description":"The gpID for the User","schema":{"type":"string"}}]}},"/api/authentication/rsa/{userPoolId}/{gpID}/set-user-questions/authenticated":{"post":{"tags":["RSA Services","authenticated"],"summary":"Set User Questions With Auth","operationId":"set_user_questions_with_auth_rsa__userPoolId___gpID__set_user_questions_authenticated_post","parameters":[{"name":"gpID","in":"path","required":true,"schema":{"type":"string","title":"Gpid"}},{"name":"userPoolId","in":"path","required":true,"schema":{"type":"string","title":"Userpoolid"}},{"name":"locale","in":"query","required":false,"schema":{"type":"string","default":"en-US","title":"Locale"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RSASetUserSecurityQuestionsRequest"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"boolean","title":"Response Set User Questions With Auth Rsa  Userpoolid   Gpid  Set User Questions Authenticated Post"}}}},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized"},"404":{"description":"Identity not found"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"500":{"description":"Internal Server Error"}},"x-amazon-apigateway-integration":{"uri":"${lambda_arn}","responses":{"default":{"statusCode":"200"}},"passthroughBehavior":"when_no_match","httpMethod":"POST","contentHandling":"CONVERT_TO_TEXT","type":"aws_proxy","timeoutInMillis":"${lambda_user_timeout}"},"security":[{"bearerAuth":[]}]},"options":{"responses":{"200":{"$ref":"#/components/responses/cors"}},"x-amazon-apigateway-integration":{"responses":{"default":{"statusCode":"200","responseParameters":{"method.response.header.Access-Control-Max-Age":"'7200'","method.response.header.Access-Control-Allow-Methods":"'OPTIONS,POST'","method.response.header.Access-Control-Allow-Headers":"'Authorization,Content-Type,X-Amz-Security-Token,X-Api-Key,X-Amz-Date'","method.response.header.Access-Control-Allow-Origin":"'*'"}}},"passthroughBehavior":"when_no_match","timeoutInMillis":29000,"requestTemplates":{"application/json":"{ \"statusCode\": 200 }"},"type":"mock"},"parameters":[{"name":"userPoolId","in":"path","required":true,"description":"The Cognito User Pool ID for the Client","schema":{"type":"string"}},{"name":"gpID","in":"path","required":true,"description":"The gpID for the User","schema":{"type":"string"}}]}},"/api/authentication/rsa/{userPoolId}/{gpID}/validate-user-questions":{"post":{"tags":["RSA Services","unauthenticated"],"summary":"Validate User Questions","operationId":"validate_user_questions_rsa__userPoolId___gpID__validate_user_questions_post","parameters":[{"name":"gpID","in":"path","required":true,"schema":{"type":"string","title":"Gpid"}},{"name":"userPoolId","in":"path","required":true,"schema":{"type":"string","title":"Userpoolid"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RSAValidateUserQuestionsRequest"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RSAValidateUserQuestionsResponse"}}}},"400":{"description":"Bad Request"},"404":{"description":"Identity not found"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"500":{"description":"Internal Server Error"}},"x-amazon-apigateway-integration":{"uri":"${lambda_arn}","responses":{"default":{"statusCode":"200"}},"passthroughBehavior":"when_no_match","httpMethod":"POST","contentHandling":"CONVERT_TO_TEXT","type":"aws_proxy","timeoutInMillis":"${lambda_user_timeout}"}},"options":{"responses":{"200":{"$ref":"#/components/responses/cors"}},"x-amazon-apigateway-integration":{"responses":{"default":{"statusCode":"200","responseParameters":{"method.response.header.Access-Control-Max-Age":"'7200'","method.response.header.Access-Control-Allow-Methods":"'OPTIONS,POST'","method.response.header.Access-Control-Allow-Headers":"'Authorization,Content-Type,X-Amz-Security-Token,X-Api-Key,X-Amz-Date'","method.response.header.Access-Control-Allow-Origin":"'*'"}}},"passthroughBehavior":"when_no_match","timeoutInMillis":29000,"requestTemplates":{"application/json":"{ \"statusCode\": 200 }"},"type":"mock"},"parameters":[{"name":"userPoolId","in":"path","required":true,"description":"The Cognito User Pool ID for the Client","schema":{"type":"string"}},{"name":"gpID","in":"path","required":true,"description":"The gpID for the User","schema":{"type":"string"}}]}},"/api/authentication/rsa/{userPoolId}/{gpID}/analyze":{"get":{"tags":["RSA Services"],"summary":"Analyze","operationId":"analyze_rsa__userPoolId___gpID__analyze_get","parameters":[{"name":"userPoolId","in":"path","required":true,"schema":{"type":"string","title":"Userpoolid"}},{"name":"gpID","in":"path","required":true,"schema":{"type":"string","title":"Gpid"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RSAAnalyzeResponse"}}}},"404":{"description":"Identity not found"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"500":{"description":"Internal Server Error"}},"x-amazon-apigateway-integration":{"uri":"${lambda_arn}","responses":{"default":{"statusCode":"200"}},"passthroughBehavior":"when_no_match","httpMethod":"POST","contentHandling":"CONVERT_TO_TEXT","type":"aws_proxy","timeoutInMillis":"${lambda_user_timeout}"},"security":[{"apiKeyAuth":[]}]},"options":{"responses":{"200":{"$ref":"#/components/responses/cors"}},"x-amazon-apigateway-integration":{"responses":{"default":{"statusCode":"200","responseParameters":{"method.response.header.Access-Control-Max-Age":"'7200'","method.response.header.Access-Control-Allow-Methods":"'OPTIONS,POST'","method.response.header.Access-Control-Allow-Headers":"'Authorization,Content-Type,X-Amz-Security-Token,X-Api-Key,X-Amz-Date'","method.response.header.Access-Control-Allow-Origin":"'*'"}}},"passthroughBehavior":"when_no_match","timeoutInMillis":29000,"requestTemplates":{"application/json":"{ \"statusCode\": 200 }"},"type":"mock"},"parameters":[{"name":"userPoolId","in":"path","required":true,"description":"The Cognito User Pool ID for the Client","schema":{"type":"string"}},{"name":"gpID","in":"path","required":true,"description":"The gpID for the User","schema":{"type":"string"}}]}},"/api/authentication/rsa/{userPoolId}/{gpID}/unlock":{"get":{"tags":["RSA Services"],"summary":"Unlock","operationId":"unlock_rsa__userPoolId___gpID__unlock_get","parameters":[{"name":"userPoolId","in":"path","required":true,"schema":{"type":"string","title":"Userpoolid"}},{"name":"gpID","in":"path","required":true,"schema":{"type":"string","title":"Gpid"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RSAUnlockResponse"}}}},"404":{"description":"Identity not found"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"500":{"description":"Internal Server Error"}},"x-amazon-apigateway-integration":{"uri":"${lambda_arn}","responses":{"default":{"statusCode":"200"}},"passthroughBehavior":"when_no_match","httpMethod":"POST","contentHandling":"CONVERT_TO_TEXT","type":"aws_proxy","timeoutInMillis":"${lambda_user_timeout}"},"security":[{"apiKeyAuth":[]}]},"options":{"responses":{"200":{"$ref":"#/components/responses/cors"}},"x-amazon-apigateway-integration":{"responses":{"default":{"statusCode":"200","responseParameters":{"method.response.header.Access-Control-Max-Age":"'7200'","method.response.header.Access-Control-Allow-Methods":"'OPTIONS,POST'","method.response.header.Access-Control-Allow-Headers":"'Authorization,Content-Type,X-Amz-Security-Token,X-Api-Key,X-Amz-Date'","method.response.header.Access-Control-Allow-Origin":"'*'"}}},"passthroughBehavior":"when_no_match","timeoutInMillis":29000,"requestTemplates":{"application/json":"{ \"statusCode\": 200 }"},"type":"mock"},"parameters":[{"name":"userPoolId","in":"path","required":true,"description":"The Cognito User Pool ID for the Client","schema":{"type":"string"}},{"name":"gpID","in":"path","required":true,"description":"The gpID for the User","schema":{"type":"string"}}]}},"/api/authentication/identity/search":{"post":{"tags":["Identity Services","unauthenticated"],"summary":"Fetch Identity Search","operationId":"fetch_identity_search_identity_search_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/IdentitySearchRequest"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IdentitySearchResponse"}}}},"400":{"description":"Bad Request"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"500":{"description":"Internal Server Error"}},"x-amazon-apigateway-integration":{"uri":"${lambda_arn}","responses":{"default":{"statusCode":"200"}},"passthroughBehavior":"when_no_match","httpMethod":"POST","contentHandling":"CONVERT_TO_TEXT","type":"aws_proxy","timeoutInMillis":"${lambda_user_timeout}"}},"options":{"responses":{"200":{"$ref":"#/components/responses/cors"}},"x-amazon-apigateway-integration":{"responses":{"default":{"statusCode":"200","responseParameters":{"method.response.header.Access-Control-Max-Age":"'7200'","method.response.header.Access-Control-Allow-Methods":"'OPTIONS,POST'","method.response.header.Access-Control-Allow-Headers":"'Authorization,Content-Type,X-Amz-Security-Token,X-Api-Key,X-Amz-Date'","method.response.header.Access-Control-Allow-Origin":"'*'"}}},"passthroughBehavior":"when_no_match","timeoutInMillis":29000,"requestTemplates":{"application/json":"{ \"statusCode\": 200 }"},"type":"mock"},"parameters":[]}},"/api/authentication/identity/{userPoolId}/{gpID}":{"get":{"tags":["Identity Services","unauthenticated"],"summary":"Fetch Identity By Userpoolid Gpid","operationId":"fetch_identity_by_userpoolid_gpid_identity__userPoolId___gpID__get","parameters":[{"name":"userPoolId","in":"path","required":true,"schema":{"type":"string","title":"Userpoolid"}},{"name":"gpID","in":"path","required":true,"schema":{"type":"string","title":"Gpid"}},{"name":"appClientName","in":"query","required":false,"schema":{"type":"string","title":"Appclientname"}},{"name":"locale","in":"query","required":false,"schema":{"type":"string","default":"en-US","title":"Locale"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IdentityBaseWithAuth"}}}},"404":{"description":"Identity not found"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"500":{"description":"Internal Server Error"}},"x-amazon-apigateway-integration":{"uri":"${lambda_arn}","responses":{"default":{"statusCode":"200"}},"passthroughBehavior":"when_no_match","httpMethod":"POST","contentHandling":"CONVERT_TO_TEXT","type":"aws_proxy","timeoutInMillis":"${lambda_user_timeout}"}},"put":{"tags":["Identity Services"],"summary":"Update Identity By Userpoolid Gpid","operationId":"update_identity_by_userpoolid_gpid_identity__userPoolId___gpID__put","parameters":[{"name":"userPoolId","in":"path","required":true,"schema":{"type":"string","title":"Userpoolid"}},{"name":"gpID","in":"path","required":true,"schema":{"type":"string","title":"Gpid"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateIdentityRequest"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateIdentityResponse"}}}},"400":{"description":"Bad Request"},"404":{"description":"Identity not found"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"500":{"description":"Internal Server Error"}},"x-amazon-apigateway-integration":{"uri":"${lambda_arn}","responses":{"default":{"statusCode":"200"}},"passthroughBehavior":"when_no_match","httpMethod":"POST","contentHandling":"CONVERT_TO_TEXT","type":"aws_proxy","timeoutInMillis":"${lambda_user_timeout}"},"security":[{"apiKeyAuth":[]}]},"options":{"responses":{"200":{"$ref":"#/components/responses/cors"}},"x-amazon-apigateway-integration":{"responses":{"default":{"statusCode":"200","responseParameters":{"method.response.header.Access-Control-Max-Age":"'7200'","method.response.header.Access-Control-Allow-Methods":"'OPTIONS,POST'","method.response.header.Access-Control-Allow-Headers":"'Authorization,Content-Type,X-Amz-Security-Token,X-Api-Key,X-Amz-Date'","method.response.header.Access-Control-Allow-Origin":"'*'"}}},"passthroughBehavior":"when_no_match","timeoutInMillis":29000,"requestTemplates":{"application/json":"{ \"statusCode\": 200 }"},"type":"mock"},"parameters":[{"name":"userPoolId","in":"path","required":true,"description":"The Cognito User Pool ID for the Client","schema":{"type":"string"}},{"name":"gpID","in":"path","required":true,"description":"The gpID for the User","schema":{"type":"string"}}]}},"/api/authentication/identity/cleanup":{"delete":{"tags":["Identity Services"],"summary":"Identity Cleanup","operationId":"identity_cleanup_identity_cleanup_delete","responses":{"204":{"description":"Successful Response"},"500":{"description":"Internal Server Error"}},"x-amazon-apigateway-integration":{"uri":"${lambda_arn}","responses":{"default":{"statusCode":"200"}},"passthroughBehavior":"when_no_match","httpMethod":"POST","contentHandling":"CONVERT_TO_TEXT","type":"aws_proxy","timeoutInMillis":"${lambda_user_timeout}"},"security":[{"apiKeyAuth":[]}]},"options":{"responses":{"200":{"$ref":"#/components/responses/cors"}},"x-amazon-apigateway-integration":{"responses":{"default":{"statusCode":"200","responseParameters":{"method.response.header.Access-Control-Max-Age":"'7200'","method.response.header.Access-Control-Allow-Methods":"'OPTIONS,POST'","method.response.header.Access-Control-Allow-Headers":"'Authorization,Content-Type,X-Amz-Security-Token,X-Api-Key,X-Amz-Date'","method.response.header.Access-Control-Allow-Origin":"'*'"}}},"passthroughBehavior":"when_no_match","timeoutInMillis":29000,"requestTemplates":{"application/json":"{ \"statusCode\": 200 }"},"type":"mock"},"parameters":[]}},"/api/authentication/v1/identity/search":{"post":{"tags":["Identity Service V1","unauthenticated"],"summary":"Fetch Identity Search","operationId":"fetch_identity_search_v1_identity_search_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/IdentitySearchRequestV1"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IdentitySearchResponseV1"}}}},"400":{"description":"Bad Request"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"500":{"description":"Internal Server Error"}},"x-amazon-apigateway-integration":{"uri":"${lambda_arn}","responses":{"default":{"statusCode":"200"}},"passthroughBehavior":"when_no_match","httpMethod":"POST","contentHandling":"CONVERT_TO_TEXT","type":"aws_proxy","timeoutInMillis":"${lambda_user_timeout}"}},"options":{"responses":{"200":{"$ref":"#/components/responses/cors"}},"x-amazon-apigateway-integration":{"responses":{"default":{"statusCode":"200","responseParameters":{"method.response.header.Access-Control-Max-Age":"'7200'","method.response.header.Access-Control-Allow-Methods":"'OPTIONS,POST'","method.response.header.Access-Control-Allow-Headers":"'Authorization,Content-Type,X-Amz-Security-Token,X-Api-Key,X-Amz-Date'","method.response.header.Access-Control-Allow-Origin":"'*'"}}},"passthroughBehavior":"when_no_match","timeoutInMillis":29000,"requestTemplates":{"application/json":"{ \"statusCode\": 200 }"},"type":"mock"},"parameters":[]}},"/api/authentication/v1/identity/{userPoolId}/{gpID}":{"get":{"tags":["Identity Service V1","unauthenticated"],"summary":"Fetch Identity By Userpoolid Gpid","operationId":"fetch_identity_by_userpoolid_gpid_v1_identity__userPoolId___gpID__get","parameters":[{"name":"userPoolId","in":"path","required":true,"schema":{"type":"string","title":"Userpoolid"}},{"name":"gpID","in":"path","required":true,"schema":{"type":"string","title":"Gpid"}},{"name":"appClientName","in":"query","required":false,"schema":{"type":"string","title":"Appclientname"}},{"name":"locale","in":"query","required":false,"schema":{"type":"string","default":"en-US","title":"Locale"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IdentityBaseWithAuth"}}}},"404":{"description":"Identity not found"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"500":{"description":"Internal Server Error"}},"x-amazon-apigateway-integration":{"uri":"${lambda_arn}","responses":{"default":{"statusCode":"200"}},"passthroughBehavior":"when_no_match","httpMethod":"POST","contentHandling":"CONVERT_TO_TEXT","type":"aws_proxy","timeoutInMillis":"${lambda_user_timeout}"}},"options":{"responses":{"200":{"$ref":"#/components/responses/cors"}},"x-amazon-apigateway-integration":{"responses":{"default":{"statusCode":"200","responseParameters":{"method.response.header.Access-Control-Max-Age":"'7200'","method.response.header.Access-Control-Allow-Methods":"'OPTIONS,POST'","method.response.header.Access-Control-Allow-Headers":"'Authorization,Content-Type,X-Amz-Security-Token,X-Api-Key,X-Amz-Date'","method.response.header.Access-Control-Allow-Origin":"'*'"}}},"passthroughBehavior":"when_no_match","timeoutInMillis":29000,"requestTemplates":{"application/json":"{ \"statusCode\": 200 }"},"type":"mock"},"parameters":[{"name":"userPoolId","in":"path","required":true,"description":"The Cognito User Pool ID for the Client","schema":{"type":"string"}},{"name":"gpID","in":"path","required":true,"description":"The gpID for the User","schema":{"type":"string"}}]}},"/api/authentication/config":{"post":{"tags":["Auth Config Services"],"summary":"Create Client Auth Configuration","operationId":"create_client_auth_configuration_config_post","requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateAuthConfigModel"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AuthConfigModel"}}}},"400":{"description":"Bad Request","content":{"application/json":{"example":{"detail":"Client short name is required"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"example":{"detail":"Unauthorized"}}}},"404":{"description":"Client not found","content":{"application/json":{"example":{"detail":"Client not found"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"example":{"detail":"Error creating AuthConfig"}}}}},"x-amazon-apigateway-integration":{"uri":"${lambda_arn}","responses":{"default":{"statusCode":"200"}},"passthroughBehavior":"when_no_match","httpMethod":"POST","contentHandling":"CONVERT_TO_TEXT","type":"aws_proxy","timeoutInMillis":"${lambda_user_timeout}"},"security":[{"apiKeyAuth":[]}]},"get":{"tags":["Auth Config Services"],"summary":"Fetch Client Auth Configurations","operationId":"fetch_client_auth_configurations_config_get","parameters":[{"name":"locale","in":"query","required":false,"schema":{"type":"string","default":"en_US","title":"Locale"}},{"name":"nextPageKey","in":"query","required":false,"schema":{"type":"string","title":"Nextpagekey"}},{"name":"pageSize","in":"query","required":false,"schema":{"type":"integer","default":1000,"title":"Pagesize"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AuthConfigListResponseModel"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"example":{"detail":"Error fetching AuthConfigs"}}}}},"x-amazon-apigateway-integration":{"uri":"${lambda_arn}","responses":{"default":{"statusCode":"200"}},"passthroughBehavior":"when_no_match","httpMethod":"POST","contentHandling":"CONVERT_TO_TEXT","type":"aws_proxy","timeoutInMillis":"${lambda_user_timeout}"},"security":[{"apiKeyAuth":[]}]},"options":{"responses":{"200":{"$ref":"#/components/responses/cors"}},"x-amazon-apigateway-integration":{"responses":{"default":{"statusCode":"200","responseParameters":{"method.response.header.Access-Control-Max-Age":"'7200'","method.response.header.Access-Control-Allow-Methods":"'OPTIONS,POST'","method.response.header.Access-Control-Allow-Headers":"'Authorization,Content-Type,X-Amz-Security-Token,X-Api-Key,X-Amz-Date'","method.response.header.Access-Control-Allow-Origin":"'*'"}}},"passthroughBehavior":"when_no_match","timeoutInMillis":29000,"requestTemplates":{"application/json":"{ \"statusCode\": 200 }"},"type":"mock"},"parameters":[]}},"/api/authentication/config/{clientShortName}":{"get":{"tags":["Auth Config Services","unauthenticated"],"summary":"Fetch Client Auth Configuration By Client Short Name","operationId":"fetch_client_auth_configuration_by_client_short_name_config__clientShortName__get","parameters":[{"name":"clientShortName","in":"path","required":true,"schema":{"type":"string","title":"Clientshortname"}},{"name":"locale","in":"query","required":false,"schema":{"type":"string","default":"en_US","title":"Locale"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AuthConfigExtendedModel"}}}},"404":{"description":"AuthConfig not found","content":{"application/json":{"example":{"detail":"AuthConfig not found"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"example":{"detail":"Error fetching AuthConfig"}}}}},"x-amazon-apigateway-integration":{"uri":"${lambda_arn}","responses":{"default":{"statusCode":"200"}},"passthroughBehavior":"when_no_match","httpMethod":"POST","contentHandling":"CONVERT_TO_TEXT","type":"aws_proxy","timeoutInMillis":"${lambda_user_timeout}"}},"put":{"tags":["Auth Config Services"],"summary":"Update Client Auth Configuration","operationId":"update_client_auth_configuration_config__clientShortName__put","parameters":[{"name":"clientShortName","in":"path","required":true,"schema":{"type":"string","title":"Clientshortname"}},{"name":"locale","in":"query","required":false,"schema":{"type":"string","default":"en_US","title":"Locale"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateAuthConfigModel"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AuthConfigModel"}}}},"400":{"description":"Bad Request","content":{"application/json":{"example":{"detail":"Client short name is required"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"example":{"detail":"Unauthorized"}}}},"404":{"description":"Client not found","content":{"application/json":{"example":{"detail":"Client not found"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"example":{"detail":"Error updating AuthConfig"}}}}},"x-amazon-apigateway-integration":{"uri":"${lambda_arn}","responses":{"default":{"statusCode":"200"}},"passthroughBehavior":"when_no_match","httpMethod":"POST","contentHandling":"CONVERT_TO_TEXT","type":"aws_proxy","timeoutInMillis":"${lambda_user_timeout}"},"security":[{"apiKeyAuth":[]}]},"delete":{"tags":["Auth Config Services"],"summary":"Archive Client Auth Configuration","operationId":"archive_client_auth_configuration_config__clientShortName__delete","parameters":[{"name":"clientShortName","in":"path","required":true,"schema":{"type":"string","title":"Clientshortname"}}],"responses":{"204":{"description":"No Content"},"404":{"description":"Not Found","content":{"application/json":{"example":{"detail":"Not Found"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"example":{"detail":"Error deleting AuthConfig"}}}}},"x-amazon-apigateway-integration":{"uri":"${lambda_arn}","responses":{"default":{"statusCode":"200"}},"passthroughBehavior":"when_no_match","httpMethod":"POST","contentHandling":"CONVERT_TO_TEXT","type":"aws_proxy","timeoutInMillis":"${lambda_user_timeout}"},"security":[{"apiKeyAuth":[]}]},"options":{"responses":{"200":{"$ref":"#/components/responses/cors"}},"x-amazon-apigateway-integration":{"responses":{"default":{"statusCode":"200","responseParameters":{"method.response.header.Access-Control-Max-Age":"'7200'","method.response.header.Access-Control-Allow-Methods":"'OPTIONS,POST'","method.response.header.Access-Control-Allow-Headers":"'Authorization,Content-Type,X-Amz-Security-Token,X-Api-Key,X-Amz-Date'","method.response.header.Access-Control-Allow-Origin":"'*'"}}},"passthroughBehavior":"when_no_match","timeoutInMillis":29000,"requestTemplates":{"application/json":"{ \"statusCode\": 200 }"},"type":"mock"},"parameters":[{"name":"clientShortName","in":"path","required":true,"description":"The clientShortName for the Alight client","schema":{"type":"string"}}]}},"/api/authentication/config/user-pool/{userPoolId}":{"get":{"tags":["Auth Config Services"],"summary":"Fetch Client Auth Configuration By User Pool Id","operationId":"fetch_client_auth_configuration_by_user_pool_id_config_user_pool__userPoolId__get","parameters":[{"name":"userPoolId","in":"path","required":true,"schema":{"type":"string","title":"Userpoolid"}},{"name":"locale","in":"query","required":false,"schema":{"type":"string","default":"en_US","title":"Locale"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AuthConfigExtendedModel"}}}},"404":{"description":"AuthConfig not found","content":{"application/json":{"example":{"detail":"AuthConfig not found"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"example":{"detail":"Error fetching AuthConfig"}}}}},"x-amazon-apigateway-integration":{"uri":"${lambda_arn}","responses":{"default":{"statusCode":"200"}},"passthroughBehavior":"when_no_match","httpMethod":"POST","contentHandling":"CONVERT_TO_TEXT","type":"aws_proxy","timeoutInMillis":"${lambda_user_timeout}"},"security":[{"apiKeyAuth":[]}]},"options":{"responses":{"200":{"$ref":"#/components/responses/cors"}},"x-amazon-apigateway-integration":{"responses":{"default":{"statusCode":"200","responseParameters":{"method.response.header.Access-Control-Max-Age":"'7200'","method.response.header.Access-Control-Allow-Methods":"'OPTIONS,POST'","method.response.header.Access-Control-Allow-Headers":"'Authorization,Content-Type,X-Amz-Security-Token,X-Api-Key,X-Amz-Date'","method.response.header.Access-Control-Allow-Origin":"'*'"}}},"passthroughBehavior":"when_no_match","timeoutInMillis":29000,"requestTemplates":{"application/json":"{ \"statusCode\": 200 }"},"type":"mock"},"parameters":[{"name":"userPoolId","in":"path","required":true,"description":"The Cognito User Pool ID for the Client","schema":{"type":"string"}}]}},"/api/authentication/config/id/{normalizedClientId}":{"get":{"tags":["Auth Config Services","unauthenticated"],"summary":"Fetch Client Auth Config By Id","operationId":"fetch_client_auth_config_by_id_config_id__normalizedClientId__get","parameters":[{"name":"normalizedClientId","in":"path","required":true,"schema":{"type":"string","title":"Normalizedclientid"}},{"name":"locale","in":"query","required":false,"schema":{"type":"string","default":"en_US","title":"Locale"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AuthConfigExtendedModel"}}}},"400":{"description":"Bad Request","content":{"application/json":{"example":{"detail":"Client short name is required"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"example":{"detail":"Unauthorized"}}}},"404":{"description":"Client not found","content":{"application/json":{"example":{"detail":"Client not found"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"example":{"detail":"Internal Server Error"}}}}},"x-amazon-apigateway-integration":{"uri":"${lambda_arn}","responses":{"default":{"statusCode":"200"}},"passthroughBehavior":"when_no_match","httpMethod":"POST","contentHandling":"CONVERT_TO_TEXT","type":"aws_proxy","timeoutInMillis":"${lambda_user_timeout}"}},"options":{"responses":{"200":{"$ref":"#/components/responses/cors"}},"x-amazon-apigateway-integration":{"responses":{"default":{"statusCode":"200","responseParameters":{"method.response.header.Access-Control-Max-Age":"'7200'","method.response.header.Access-Control-Allow-Methods":"'OPTIONS,POST'","method.response.header.Access-Control-Allow-Headers":"'Authorization,Content-Type,X-Amz-Security-Token,X-Api-Key,X-Amz-Date'","method.response.header.Access-Control-Allow-Origin":"'*'"}}},"passthroughBehavior":"when_no_match","timeoutInMillis":29000,"requestTemplates":{"application/json":"{ \"statusCode\": 200 }"},"type":"mock"},"parameters":[]}},"/api/authentication/config/load/{environment}":{"get":{"tags":["Auth Config Services"],"summary":"Load Auth Configurations","operationId":"load_auth_configurations_config_load__environment__get","parameters":[{"name":"environment","in":"path","required":true,"schema":{"type":"string","title":"Environment"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"404":{"description":"Not Found","content":{"application/json":{"example":{"detail":"Not Found"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"example":{"detail":"Error loading AuthConfigs"}}}}},"x-amazon-apigateway-integration":{"uri":"${lambda_arn}","responses":{"default":{"statusCode":"200"}},"passthroughBehavior":"when_no_match","httpMethod":"POST","contentHandling":"CONVERT_TO_TEXT","type":"aws_proxy","timeoutInMillis":"${lambda_user_timeout}"},"security":[{"apiKeyAuth":[]}]},"options":{"responses":{"200":{"$ref":"#/components/responses/cors"}},"x-amazon-apigateway-integration":{"responses":{"default":{"statusCode":"200","responseParameters":{"method.response.header.Access-Control-Max-Age":"'7200'","method.response.header.Access-Control-Allow-Methods":"'OPTIONS,POST'","method.response.header.Access-Control-Allow-Headers":"'Authorization,Content-Type,X-Amz-Security-Token,X-Api-Key,X-Amz-Date'","method.response.header.Access-Control-Allow-Origin":"'*'"}}},"passthroughBehavior":"when_no_match","timeoutInMillis":29000,"requestTemplates":{"application/json":"{ \"statusCode\": 200 }"},"type":"mock"},"parameters":[{"name":"environment","in":"path","required":true,"description":"Application Runtime Environment","schema":{"type":"string"}}]}},"/api/authentication/config/cleanup":{"delete":{"tags":["Auth Config Services"],"summary":"Auth Config Cleanup","operationId":"auth_config_cleanup_config_cleanup_delete","responses":{"204":{"description":"Successful Response"},"404":{"description":"Not Found","content":{"application/json":{"example":{"detail":"Not Found"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"example":{"detail":"Error cleaning up AuthConfigs"}}}}},"x-amazon-apigateway-integration":{"uri":"${lambda_arn}","responses":{"default":{"statusCode":"200"}},"passthroughBehavior":"when_no_match","httpMethod":"POST","contentHandling":"CONVERT_TO_TEXT","type":"aws_proxy","timeoutInMillis":"${lambda_user_timeout}"},"security":[{"apiKeyAuth":[]}]},"options":{"responses":{"200":{"$ref":"#/components/responses/cors"}},"x-amazon-apigateway-integration":{"responses":{"default":{"statusCode":"200","responseParameters":{"method.response.header.Access-Control-Max-Age":"'7200'","method.response.header.Access-Control-Allow-Methods":"'OPTIONS,POST'","method.response.header.Access-Control-Allow-Headers":"'Authorization,Content-Type,X-Amz-Security-Token,X-Api-Key,X-Amz-Date'","method.response.header.Access-Control-Allow-Origin":"'*'"}}},"passthroughBehavior":"when_no_match","timeoutInMillis":29000,"requestTemplates":{"application/json":"{ \"statusCode\": 200 }"},"type":"mock"},"parameters":[]}},"/api/authentication/v1/config/id/{normalizedClientId}":{"get":{"tags":["Auth Config Services V1","unauthenticated"],"summary":"Fetch Client Auth Config By Id","operationId":"fetch_client_auth_config_by_id_v1_config_id__normalizedClientId__get","parameters":[{"name":"normalizedClientId","in":"path","required":true,"schema":{"type":"string","title":"Normalizedclientid"}},{"name":"locale","in":"query","required":false,"schema":{"type":"string","default":"en_US","title":"Locale"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AuthConfigExtendedModelV1"}}}},"400":{"description":"Bad Request","content":{"application/json":{"example":{"detail":"Client short name is required"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"example":{"detail":"Unauthorized"}}}},"404":{"description":"Client not found","content":{"application/json":{"example":{"detail":"Client not found"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"example":{"detail":"Internal Server Error"}}}}},"x-amazon-apigateway-integration":{"uri":"${lambda_arn}","responses":{"default":{"statusCode":"200"}},"passthroughBehavior":"when_no_match","httpMethod":"POST","contentHandling":"CONVERT_TO_TEXT","type":"aws_proxy","timeoutInMillis":"${lambda_user_timeout}"}},"options":{"responses":{"200":{"$ref":"#/components/responses/cors"}},"x-amazon-apigateway-integration":{"responses":{"default":{"statusCode":"200","responseParameters":{"method.response.header.Access-Control-Max-Age":"'7200'","method.response.header.Access-Control-Allow
[...]
